{
    attributes = (
        {
            columnName = ADR_CIVILITE; 
            externalType = VARCHAR2; 
            name = adrCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_NOM; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_NOM_MARITAL; 
            externalType = VARCHAR2; 
            name = adrNomMarital; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = ADR_PRENOM; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_NATIONALITE; 
            externalType = VARCHAR2; 
            name = cNationalite; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMP_ABREVIATION; 
            externalType = VARCHAR2; 
            name = compAbreviation; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = COMP_CODE; 
            externalType = VARCHAR2; 
            name = compCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMP_LIBELLE; 
            externalType = VARCHAR2; 
            name = compLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_NAISSANCE; 
            externalType = VARCHAR2; 
            name = dNaissance; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = DOMAINE; 
            externalType = VARCHAR2; 
            name = domaine; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = DPT_NAISSANCE; 
            externalType = VARCHAR2; 
            name = dptNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_CODE_INE; 
            externalType = VARCHAR2; 
            name = etudCodeIne; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_SITFAM; 
            externalType = NUMBER; 
            name = etudSitfam; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdipAbreviation; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = FDOM_CODE; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FGRA_CODE; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FORMATION; 
            externalType = VARCHAR2; 
            name = formation; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRADE; 
            externalType = VARCHAR2; 
            name = grade; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = HIST_ANNEE_SCOL; 
            externalType = NUMBER; 
            name = histAnneeScol; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = HIST_NUMERO; 
            externalType = NUMBER; 
            name = histNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = L_NATIONALITE; 
            externalType = VARCHAR2; 
            name = lNationalite; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MENTION; 
            externalType = VARCHAR2; 
            name = mention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = NIVEAU; 
            externalType = NUMBER; 
            name = niveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAYS_NAISSANCE; 
            externalType = VARCHAR2; 
            name = paysNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = SPECIALISATION; 
            externalType = VARCHAR2; 
            name = specialisation; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = TYPE_INSCRIPTION; 
            externalType = NUMBER; 
            name = typeInscription; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE_NAISSANCE; 
            externalType = VARCHAR2; 
            name = villeNaissance; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (etudNumero, histNumero, idiplNumero, fannKey); 
    className = EOGenericRecord; 
    classProperties = (
        noIndividu, 
        persId, 
        etudNumero, 
        histNumero, 
        idiplNumero, 
        etudCodeIne, 
        etudSitfam, 
        adrCivilite, 
        adrNom, 
        adrNomMarital, 
        adrPrenom, 
        dNaissance, 
        villeNaissance, 
        dptNaissance, 
        paysNaissance, 
        cNationalite, 
        lNationalite, 
        histAnneeScol, 
        fannKey, 
        typeInscription, 
        fspnKey, 
        fdipCode, 
        niveau, 
        fdipAbreviation, 
        fdomCode, 
        domaine, 
        fgraCode, 
        grade, 
        mention, 
        formation, 
        specialisation, 
        compCode, 
        compAbreviation, 
        compLibelle
    ); 
    externalName = V_SCOL_INSCRIPTION_PREMIERE; 
    fetchSpecificationDictionary = {}; 
    name = VScolInscriptionPremiere; 
    primaryKeyAttributes = (etudNumero, fannKey, histNumero, idiplNumero); 
}
